@charset "UTF-8";

/* ==========================================================================
  ブログ詳細ページ
============================================================================= */
:root {
    --font1: "Zen Kaku Gothic Antique", sans-serif;
    --font2: "Shippori Mincho", serif;
    --font3: "Lato", sans-serif;
    --color-base: #222;
    --color-green: #afff27;
}

/* Entry Style ========================================== */
.c-hdg02 {
    background-color: var(--color-green);
    color: var(--color-base);
    display: block;
    font-family: var(--font2);
    font-size: clamp(2.6rem, 2.222vw, 3.2rem);
    line-height: 1;
    margin-block-end: 30px;
    padding: 22px 16px;
    width: fit-content;
}

.c-news__head .figure {
    margin-inline-end: -20px;
}

.c-news__head .figure img {
    width: calc(100% - 20px);
}

.c-news__headline {
    border-block-end: solid 1px #ddd;
    margin-block-start: -30px;
    margin-block-end: 60px;
    padding-block-end: 30px;
}

.c-news__headline .date {
    font-family: var(--font3);
}

.c-news__headline .cat {
    background-color: #EAEAEA;
    border-radius: 30px;
    font-size: 1.2rem;
    line-height: 1;
    margin-inline-start: 10px;
    padding: 10px 15px;
    text-align: center;
}

.c-news__info {
    margin-inline-start: auto;
    width: fit-content;
}

.c-news__body {
    padding-block-end: 100px;
}

.c-news__body .txt {
    line-height: 2;
}

.c-news__body a {
    color: var(--color-base);
    display: inline-block;
    text-decoration: underline;
    transition: all 0.5s;
    text-underline-offset: 2px;
}

.c-news__body a:hover {
    text-decoration: none;
}

.c-news__body a::after {
    content: "";
    background: url("data:image/svg+xml,%3Csvg width='20' height='18' viewBox='0 0 20 18' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M1 9H17.0004' stroke='%23222222' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cpath d='M10.5996 1L18.5998 9L10.5996 17' stroke='%23222222' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E") no-repeat center/contain;
    display: inline-block;
    margin-inline-start: 5px;
    position: relative;
    height: 10px;
    width: 11px;
    z-index: 10;
}  

@media (min-width: 940px) {
    .c-news__headline {
        margin-inline: -20px;
    }
}

@media (max-width: 939.98px) {
    .c-news__headline .c-hdg02 {
        margin-inline-start: -20px;
    }
}

@media (max-width: 767.98px) {
    .c-hdg02 {
        font-size: 2rem;
        padding: 12px;
    }
}